:root {
    --primary: #000000e5;
    --secondary: #227093;
    /* --background: #eee; */
    --highlight: #ffda79;
    /* Theme color */
    --theme: var(--primary);
  }
  *, *::before, *::after {
    box-sizing: border-box;
  }
  body {
    /* display: grid; */
    /* place-content: center; */
    /* grid-template-columns: repeat(auto-fit, min(100%, 30rem)); */
    min-height: 100vh;
    place-items: start;
    gap: 1rem;
    margin: 0;
    /* padding: 1rem; */
    color: var(--primary);
    background: var(--background);
  }
  
  /* Core styles/functionality */
  .tab input {
    position: absolute;
    opacity: 0;
    z-index: -1;
  }
  .tab__content {
    max-height: fit-content;
    overflow: hidden;
    transition: all 0.35s;
  }
  .tab input:checked ~ .tab__content {
    max-height: 0;
  }
  
  /* Visual styles */
  .accordion {
    color: var(--theme);
    border: 1px solid;
    border-radius: 0.5rem;
    overflow: hidden;
  }
  .tab__label,
  .tab__close {
    display: flex;
    color: white;
    background: var(--theme);
    cursor: pointer;
  }
  .tab__label {
    justify-content: space-between;
    padding: 1rem;
  }
  .tab__label::after {
    content: "\276F";
    /* width: 100%; */
    height: 1em;
    text-align: center;
    transform: rotate(90deg);
    transition: all 0.35s;
  }
  .tab input:checked + .tab__label::after {
    transform: rotate(270deg);
  }
  .tab__content p {
    margin: 0;
    padding: 0.5rem;
  }
  .tab__close {
    justify-content: flex-end;
    padding: 0.5rem 1rem;
    font-size: 0.75rem;
  }
  .accordion--radio {
    --theme: var(--secondary);
  }
  
  /* Arrow animation */
  .tab input:not(:checked) + .tab__label:hover::after {
    animation: bounce .5s infinite;
  }
  @keyframes bounce {
    25% {
      transform: rotate(90deg) translate(.25rem);
    }
    75% {
      transform: rotate(90deg) translate(-.25rem);
    }
  }
  